curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/settings/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_echecks_when_paying_open_invoices": true,
"contact_role_permissions": [
{
"make_payments": true,
"role_id": "string",
"view_financial_history": true
}
],
"default_customer_statement_template_id": "string",
"default_merchant_account_id": "string",
"disable_saving_credit_cards_when_paying_open_invoices": true,
"enable_publicly_payable_invoices": true,
"gl_information_guidance": "string",
"modify_gl_information_during_product_editing": "disabled",
"notes": "string",
"payment_processor": "legacy",
"prompt_for_auto_renewal_when_paying_membership_invoices": "disabled",
"publicly_payable_invoice_options": {
"allowed_payment_methods": "both",
"site_id": "string"
},
"stripe_options": {
"enable_cash_app": true,
"enable_link": true,
"enable_paypal": true,
"mode": "multiple accounts",
"primary_stripe_account_id": "string"
},
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'